"""platoonsim.py
Minimum script to run simpla.
Usage:

python platoonsim.py simulation.sumocfg simulation.simplaconfg
"""
import os, subprocess, sys, random

if 'SUMO_HOME' in os.environ:
    tools = os.path.join(os.environ['SUMO_HOME'], 'tools')
    sys.path.append(tools)
else:
    sys.exit("please declare environment variable 'SUMO_HOME'")
    
import traci, sumolib, simpla

simfilepath = sys.argv[1]
simplaconfigpath = sys.argv[2]
sumoBinary = sumolib.checkBinary('sumo-gui')


traci.start([sumoBinary, "-c", simfilepath])
simpla.load(simplaconfigpath)

while traci.simulation.getMinExpectedNumber() > 0:
    traci.simulationStep()
traci.close()

